## WinPython 3.4.2.4

The following packages are included in WinPython v3.4.2.4.

### Tools

Name | Version | Description
-----|---------|------------
[gettext](http://sourceforge.net/projects/gettext) | 0.14.4 | GNU gettext Win32 porting - the GNU translation tool (useful tools for pygettext, a standard library module)
[SciTE](http://www.scintilla.org/SciTE.html) | 3.3.7 | SCIntilla based Text Editor - Multilanguage, powerful and light-weight text editor
[MinGW32](https://github.com/numpy/numpy/wiki/Mingw-static-toolchain) | 4.9.2 | C/C++ and Fortran compilers (Mingw64 static toolchain Numpy version, with OpenBLAS)

### Python packages

Name | Version | Description
-----|---------|------------
[Python](http://www.python.org/) | 3.4.2 | Python programming language with standard library
[astroid](http://pypi.python.org/pypi/astroid) | 1.3.2 | Rebuild a new abstract syntax tree from Python's ast (required for pylint)
[baresql](http://pypi.python.org/pypi/baresql) | 0.7.1 | playing SQL directly on Python datas
[beautifulsoup4](http://pypi.python.org/pypi/beautifulsoup4) | 4.3.2 | Screen-scraping library
[brewer2mpl](http://pypi.python.org/pypi/brewer2mpl) | 1.4.1 | Connect colorbrewer2.org color maps to Python and matplotlib
[colorama](http://pypi.python.org/pypi/colorama) | 0.3.2 | Cross-platform colored terminal text
[cvxopt](http://abel.ee.ucla.edu/cvxopt) | 1.1.7 | Convex optimization library
[cx_Freeze](http://cx-freeze.sourceforge.net) | 4.3.4 | Deployment tool which converts Python scripts into stand-alone Windows executables (i.e. target machine does not require Python or any other library to be installed)
[Cython](http://www.cython.org) | 0.21.2 | Cython is a language that makes writing C extensions for the Python language as easy as Python
[db.py](http://pypi.python.org/pypi/db.py) | 0.3.5 | a db package that doesn't suck
[decorator](http://pypi.python.org/pypi/decorator) | 3.4.0 | Better living through Python with decorators
[docutils](http://docutils.sourceforge.net) | 0.12 | Text processing system for processing plaintext documentation into useful formats, such as HTML or LaTeX (includes reStructuredText)
[formlayout](http://formlayout.googlecode.com) | 1.0.15 | Module for creating form dialogs/widgets to edit various type of parameters without having to write any GUI code
[ggplot](https://github.com/yhat/ggplot) | 0.6.5 | ggplot for python
[guidata](http://packages.python.org/guidata) | 1.6.2 | Automatically generated graphical user interfaces for easy data set edition and display
[guiqwt](http://packages.python.org/guiqwt) | 2.3.2 | Efficient curve/image plotting and other GUI tools for scientific data processing software development
[h5py](http://code.google.com/p/h5py/) | 2.4.0 | General-purpose Python interface to HDF5 files (unlike PyTables, h5py provides direct access to the full HDF5 C library)
[husl](http://pypi.python.org/pypi/husl) | 4.0.0 | Human-friendly HSL (Hue-Saturation-Lightness)
[ipython](http://ipython.org) | 2.3.1 | Enhanced Python shell
[ipython-sql](http://ipython.org) | 0.3.4 | Enhanced Python shell
[Jinja2](http://jinja.pocoo.org) | 2.7.3 | Sandboxed template engine (provides a Django-like non-XML syntax and compiles templates into executable python code)
[joblib](http://pypi.python.org/pypi/joblib) | 0.8.4 | Lightweight pipelining: using Python functions as pipeline jobs.
[julia](http://sourceforge.net/projects/stonebig.u/files/packages) | 0.1.1.6 | Python interface to the Julia language
[llvmlite](http://pypi.python.org/pypi/llvmlite) | 0.2.1 | lightweight wrapper around basic LLVM functionality
[lmfit](http://pypi.python.org/pypi/lmfit) | 0.8.0 | Least-Squares Minimization with Bounds and Constraints
[logilab-common](http://pypi.python.org/pypi/logilab-common) | 0.63.2 | Collection of low-level Python packages and modules used by Logilab projects (required for pylint)
[lxml](http://pypi.python.org/pypi/lxml) | 3.4.1 | Powerful and Pythonic XML processing library combining libxml2/libxslt with the ElementTree API.
[mahotas](http://pypi.python.org/pypi/mahotas) | 1.2.3 | Computer Vision library
[MarkupSafe](http://pypi.python.org/pypi/MarkupSafe) | 0.23 | Implements a XML/HTML/XHTML Markup safe string for Python
[matplotlib](http://matplotlib.sourceforge.net) | 1.4.2 | 2D plotting library (embeddable in GUIs created with PyQt)
[mpld3](http://pypi.python.org/pypi/mpld3) | 0.2 | D3 Viewer for Matplotlib
[mysql-connector-python](http://pypi.python.org/pypi/mysql-connector-python) | 1.2.3 | MySQL driver written in Python
[networkx](http://pypi.python.org/pypi/networkx) | 1.9.1 | Python package for creating and manipulating graphs and networks
[nltk](http://pypi.python.org/pypi/nltk) | 3.0.1 | The Natural Language Toolkit (NLTK) is a Python package for natural language processing.
[nose](http://somethingaboutorange.com/mrl/projects/nose) | 1.3.4 | nose is a discovery-based unittest extension (e.g. NumPy test module is using nose)
[numba](http://pypi.python.org/pypi/numba) | 0.16.0 | compiling Python code using LLVM
[numexpr](http://code.google.com/p/numexpr) | 2.4 | Fast evaluation of array expressions elementwise by using a vector-based virtual machine
[numpy-MKL](http://numpy.scipy.org/) | 1.9.1 | NumPy: multidimensional array processing for numbers, strings, records and objects (SciPy''s core module)
[oct2py](http://pypi.python.org/pypi/oct2py) | 2.4.0 | Python to GNU Octave bridge --> run m-files from python.
[pandas](http://pypi.python.org/pypi/pandas) | 0.15.2 | Powerful data structures for data analysis, time series and statistics
[patsy](http://pypi.python.org/pypi/patsy) | 0.3.0 | Describing statistical models using symbolic formulas
[pep8](http://pypi.python.org/pypi/pep8) | 1.5.7 | Python style guide checker
[pg8000](http://pypi.python.org/pypi/pg8000) | 1.10.1 | PostgreSQL interface library
[Pillow](http://pypi.python.org/pypi/Pillow) | 2.7.0 | Python Imaging Library (fork)
[pip](http://pypi.python.org/pypi/pip) | 6.0.6 | A tool for installing and managing Python packages
[prettytable](http://pypi.python.org/pypi/prettytable) | 0.7.2 | A simple Python library for easily displaying tabular data in a visually appealing ASCII table format.
[psutil](http://code.google.com/p/psutil) | 2.2.0 | Provides an interface for retrieving information on all running processes and system utilization (CPU, disk, memory, network) in a portable way
[PuLP](http://pypi.python.org/pypi/PuLP) | 1.5.6 | PuLP is an LP modeler written in python. PuLP can generate MPS or LP files and call GLPK, COIN CLP/CBC, CPLEX, and GUROBI to solve linear problems
[pyflakes](http://pypi.python.org/pypi/pyflakes) | 0.8.1 | passive checker of Python programs
[Pygments](http://pygments.org) | 2.0.1 | Generic syntax highlighter for general use in all kinds of software
[pyhdf](http://pysclint.sourceforge.net/pyhdf) | 0.8.3 | Python interface to HDF4 files (Hierarchical Data Format version 4)
[pylint](http://www.logilab.org/project/pylint) | 1.4.0 | Logilab code analysis module: analyzes Python source code looking for bugs and signs of poor quality
[pyodbc](http://pypi.python.org/pypi/pyodbc) | 3.0.7 | DB API Module for ODBC
[PyOpenGL](http://pyopengl.sourceforge.net) | 3.1.0 | Cross platform Python binding to OpenGL and related APIs
[pyparsing](http://pyparsing.wikispaces.com/) | 2.0.3 | A Python Parsing Module
[PyQt4](http://www.riverbankcomputing.co.uk/software/pyqt/intro) | 4.11.3 | Python bindings for the Qt cross platform GUI toolkit
[PyQtdesignerplugins](http://pypi.python.org/pypi/PyQtdesignerplugins) | 1.1 | PyQtdesignerplugins installs Python Qt designer plugins (Matplotlib, guiqwt, etc.) for PyQt4
[PyQwt](http://pyqwt.sourceforge.net) | 5.2.1 | 2D plotting library (set of Python bindings for the Qwt library featuring fast plotting)
[pyreadline](http://ipython.org/pyreadline.html) | 2.0 | IPython needs this module to display color text in Windows command window
[pyserial](http://sourceforge.net/projects/pyserial) | 2.7 | Library encapsulating the access for the serial port
[python-dateutil](http://labix.org/python-dateutil) | 2.3 | Powerful extensions to the standard datetime module
[pytz](http://pytz.sourceforge.net/) | 2014.10 | World Timezone Definitions for Python
[pywin32](http://sourceforge.net/projects/pywin32) | 219 | Python library for Windows
[PyYAML](http://pypi.python.org/pypi/PyYAML) | 3.11 | YAML parser and emitter for Python
[pyzmq](http://pypi.python.org/pypi/pyzmq) | 14.4.1 | Lightweight and super-fast messaging based on ZeroMQ library (required for IPython Qt console)
[reportlab](http://www.reportlab.org) | 3.1.8 | The PDF generation library
[requests](http://pypi.python.org/pypi/requests) | 2.5.1 | Requests is an Apache2 Licensed HTTP library, written in Python, for human beings.
[rope_py3k-0.9.4](http://pypi.python.org/pypi/rope_py3k-0.9.4) | 1 | a python refactoring library...
[rpy2](http://pypi.python.org/pypi/rpy2) | 2.5.4 | Python interface to the R language (embedded R)
[runipy](http://pypi.python.org/pypi/runipy) | 0.1.1 | Run IPython notebooks from the command line
[scikit-image](http://pypi.python.org/pypi/scikit-image) | 0.10.1 | Image processing toolbox for SciPy
[scikit-learn](http://pypi.python.org/pypi/scikit-learn) | 0.15.2 | A set of Python modules for machine learning and data mining
[scilab2py](http://pypi.python.org/pypi/scilab2py) | 0.5 | Python to Scilab bridge
[scipy](http://www.scipy.org) | 0.15.0 | SciPy: Scientific Library for Python (advanced math, signal processing, optimization, statistics, ...)
[seaborn](http://pypi.python.org/pypi/seaborn) | 0.5.1 | statistical data visualization
[setuptools](http://pypi.python.org/pypi/setuptools) | 11.3.1 | Download, build, install, upgrade, and uninstall Python packages - easily
[simplejson](http://pypi.python.org/pypi/simplejson) | 3.6.5 | Simple, fast, extensible JSON (JavaScript Object Notation) encoder/decoder
[six](http://pypi.python.org/pypi/six) | 1.9.0 | Python 2 and 3 compatibility utilities
[Sphinx](http://sphinx.pocoo.org) | 1.2.3 | Tool for generating documentation which uses reStructuredText as its markup language
[spyder](https://bitbucket.org/spyder-ide/spyderlib) | 2.3.2 | Scientific PYthon Development EnviRonment: designed for interactive computing and data visualisation with a simple and intuitive user interface
[SQLAlchemy](http://www.sqlalchemy.org) | 0.9.8 | SQL Toolkit and Object Relational Mapper
[sqlite_bro](https://github.com/stonebig/sqlite_bro) | 0.8.7.4 | a graphic SQLite Client in 1 Python file
[sqlparse](http://pypi.python.org/pypi/sqlparse) | 0.1.14 | Non-validating SQL parser
[statsmodels](http://pypi.python.org/pypi/statsmodels) | 0.6.1 | Statistical computations and models for use with SciPy
[sympy](http://code.google.com/p/sympy) | 0.7.6 | Symbolic Mathematics Library
[tables](http://www.pytables.org) | 3.1.1 | Package based on HDF5 library for managing hierarchical datasets (extremely large amounts of data)
[tornado](http://pypi.python.org/pypi/tornado) | 4.0.2 | Scalable, non-blocking web server and tools (required for IPython notebook)
[tqdm](http://pypi.python.org/pypi/tqdm) | 1.0 | A Simple Python Progress Meter
[ViTables](http://vitables.org) | 2.1 | Graphical tool for browsing and editing files in both HDF5 and PyTables formats
[VPython](http://www.vpython.org) | 5.74 | A free, open-source module for producing real-time 3D scenes with Python
[wheel](http://pypi.python.org/pypi/wheel) | 0.24.0 | A built-package format for Python.
[winpython](http://winpython.github.io/) | 1.1 | WinPython distribution tools, including WPPM (package manager)
[xlrd](http://pypi.python.org/pypi/xlrd) | 0.9.3 | Extract data from Microsoft Excel spreadsheet files
[XlsxWriter](http://pypi.python.org/pypi/XlsxWriter) | 0.6.5 | A Python module for creating Excel XLSX files.